/* 
Theme Name: Szent Balázs Konferencia
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Creathink Advertising
Author URI: https://creathinkads.eu/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Checkout title VERY BAD fix - cannot translate */
/* Checkout Blocks "Order summary" title */
.wc-block-components-checkout-order-summary__title-text {
  font-size: 0 !important; /* hides the original text */
  line-height: 0 !important;
}

.wc-block-components-checkout-order-summary__title-text::before {
  content: "Jelentkezés összesítő";
  font-size: 1rem;
  line-height: 1.2;
  display: inline-block;
}

/* Add your custom styles here */
body {
	background: url('img/bg-footer.webp') center bottom/contain no-repeat scroll #132239;
	min-height: 100vh;
}
@media (min-width: 1200px) {
	body .site-main {
		max-width: 1140px;
		margin: auto;
	}
}

body .page-content {
    background: rgba(255, 255, 255, .95);
    border-radius: 15px;
}
b, strong {
	font-weight: bold !important;
}

.show-if-ordered {
	display: none;
}
.has-submitted-order .hide-if-ordered {
	display:none!important;
}
.has-submitted-order .show-if-ordered {
	display:block!important;
}
body.has-submitted-order .woocommerce-notices-wrapper .woocommerce-info {
	min-height: 50vh;
	display: flex;
	justify-content: center;
	align-items: center;
	font-weight: bold;
}
body.has-submitted-order .woocommerce-notices-wrapper .woocommerce-info::before {
	display: none;
}

.wc-block-components-order-summary-item__image {
	display: none !important;
}
.wc-block-components-order-summary .wc-block-components-order-summary-item__description {
	padding-left: 0 !important;
}
.wc-block-components-order-summary .wc-block-components-order-summary-item__individual-prices {
	display: none !important;
}
.wc-block-checkout__sidebar .wc-block-components-product-name {
	font-weight: bold !important;
}
.wp-block-woocommerce-checkout-order-summary-totals-block {
	display: none !important;
}

.btn-secondary a {
	background-color: var( --e-global-color-f7619c0 ) !important;
	color: var( --e-global-color-secondary ) !important;
}
.btn-secondary:hover a {
	background-color: var( --e-global-color-primary ) !important;
	color: var( --e-global-color-secondary ) !important;
}

/* overrides */
.page-header .entry-title, .site-footer .footer-inner, .site-footer:not(.dynamic-footer), .site-header .header-inner, .site-header:not(.dynamic-header), body:not([class*="elementor-page-"]) .site-main {
	width: 90%;
	max-width: 1140px;
}
.page-header .entry-title {
	color: var( --e-global-color-primary );
	width: 100%;
}
.elementor-nav-menu--dropdown {
	position: absolute;
	top: 100%;
	z-index: 100;
	box-shadow: 0 0 10px rgba(0,0,0,.3);
}
.woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register {
	border: 0;
	padding: 0;
	margin: 0;
	border-radius: 0;
}
.woocommerce form .form-row .input-text, 
.woocommerce form .form-row select {
	padding: 1em .5em;
}
.tgwcfb-options {
	display: flex;
	column-gap: 20px;
}

.woocommerce-button,
.woocommerce-Button {
    display: inline-block;
    font-size: 15px;
    line-height: 1;
    padding: 12px 24px;
    fill: #fff;
    text-align: center;
    font-family: var(--e-global-typography-accent-font-family), Sans-serif !important;
    font-weight: var(--e-global-typography-accent-font-weight) !important;
	border-radius: 10px 10px 10px 10px !important;
    transition: all .3s;
}
.woocommerce-form-register__submit,
.woocommerce-MyAccount-content .woocommerce-Button {
	background-color: var(--e-global-color-f7619c0) !important;
	color: var(--e-global-color-secondary) !important;
}
.woocommerce-form-register__submit:hover,
.woocommerce-MyAccount-content .woocommerce-Button:hover {
	background-color: var( --e-global-color-primary ) !important;
}
.woocommerce-form-login__submit {
    background-color: var(--e-global-color-accent) !important;
	color: var(--e-global-color-primary) !important;
}
.woocommerce-form-login__submit:hover {
    background-color: var(--e-global-color-secondary) !important;
}
[type=button], [type=submit], button {
	border: none;
}

#customer_login {
	display: flex;
}
#customer_login.col2-set .col-2 {
	order: 1;
	width: 70%;
	padding: 15px;
}
#customer_login.col2-set .col-1 {
	order: 2;
	width: 30%;
	padding: 15px;
	background-color: #00000066;
	border-radius: 0 15px 15px 0;
	color: var( --e-global-color-primary );
}
#customer_login.col2-set .col-1 a {
	color: var( --e-global-color-primary );
}

body.woocommerce-account .page-content > .woocommerce {
	display: flex;
	min-height: 60vh;
}
body.woocommerce-account .page-content > .woocommerce > nav {
	padding: 15px;
	background-color: #00000066;
	border-radius: 15px 0 0 15px;
}
body.woocommerce-account .page-content > .woocommerce > .woocommerce-MyAccount-content {
	padding: 15px;
}
body.woocommerce-account .page-content > .woocommerce > nav ul {
	padding: 0;
	margin: 0;
	list-style: none;
}
body.woocommerce-account .page-content > .woocommerce > nav ul li {
	padding: 10px 5px;
	border-bottom: 1px dotted var( --e-global-color-primary );
}
body.woocommerce-account .page-content > .woocommerce > nav ul li a {
	color: var( --e-global-color-primary );
	text-decoration: none;
}
body.woocommerce-account .page-content > .woocommerce > nav ul li a:hover {
	color: var( --e-global-color-f7619c0 );
}
body.woocommerce-account .page-content > .woocommerce > nav ul li.is-active a {
	font-weight: bold;
	color: var( --e-global-color-primary );
}

body.woocommerce-order-received .woocommerce-order,
body.woocommerce-account .page-content > .woocommerce {
	padding: 15px;
}

body.post-type-archive-product .elementor-location-archive.product > .e-con.e-flex > .e-con-inner {
	padding-top: 0;
	padding-bottom: 0;
}
.wc-block-components-sidebar-layout {
	background-color: #00000066;
	border-radius: 15px;
	margin: 0 !important;
}
.wp-block-woocommerce-checkout,
.wc-block-components-sidebar {
	padding: 0 !important;
}
.wc-block-components-sidebar-layout .wc-block-components-main {
	padding: 15px !important;
    background: rgba(255, 255, 255, .95);
	border-radius: 15px 0 0 15px;
}
.wp-block-woocommerce-checkout.alignwide {
	margin-inline: 0px !important;
	margin: 0px;
}

.wp-block-woocommerce-checkout-order-summary-block {
	border: 0px !important;
	color: var( --e-global-color-primary );
}

p.stock.out-of-stock {
	white-space: nowrap;
}

@media (max-width: 767px) {
	body.woocommerce-account .page-content > .woocommerce {
		flex-direction: column;
	}
	body.woocommerce-account .page-content > .woocommerce > nav {
		border-radius: 15px 15px 0 0;
	}
	.woocommerce form .form-row-first, 
	.woocommerce form .form-row-last, 
	.woocommerce-page form .form-row-first, 
	.woocommerce-page form .form-row-last {
		width: 100%;
	}
	.elementor-location-footer .elementor-widget-text-editor {
		color: var( --e-global-color-primary );
		width: 100%;
		text-align: center;
	}
	.wc-block-components-sidebar-layout .wc-block-components-main {
		border-radius: 15px 15px 0 0 !important;
	}
	.wc-block-checkout__actions .wp-block-woocommerce-checkout-order-summary-block {
		display: none;
	}
	#customer_login {
		flex-direction: column;
	}
	#customer_login.col2-set .col-1,
	#customer_login.col2-set .col-2 {
		width: 100%;
	}
	#customer_login.col2-set .col-1 {
		border-radius: 15px;
	}
}
@container (max-width: 699px) {
	.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title {
		border-bottom: 0 !important;
		border-top: 0 !important;
		cursor: pointer;
		padding: 15px !important;
	}
	.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__content.is-open {
		border-bottom: 1px solid hsla(0,0%,7%,.11);
		display: block;
		padding: 0 15px !important;
	}
	.wc-block-checkout__sidebar {
		margin-bottom: 0 !important;
		order: 2 !important;
	}
}

/* general styles */
#header .elementor-widget-nav-menu {
	margin-right: auto;
}
.menu-loggedin,
.menu-loggedout {
	margin-right: auto;
}
.col-home-sidecolumn .block-loginform {
	display: none;
}

.woocommerce-custom-account-fields {
	margin-top: 30px;
}
.woocommerce-custom-account-fields .conditional-field:last-child {
	margin-bottom: 30px;
}
#conditional-fields-wrapper {
	padding: 15px;
	background: var( --e-global-color-primary );
	border-radius: 15px;
	margin-bottom: 15px;
}
.block-loginform .woocommerce-form-login label,
.block-loginform .woocommerce-form-login .lost_password a {
	color: #ffffff;
}
.block-loginform .woocommerce-form-login .lost_password a:hover {
	color: var(--e-global-color-f7619c0) !important;
}

.wc-block-components-checkout-form_own-price input {
	padding: 1.5em .5em .5em !important;
}
.wc-block-components-checkout-form_own-price label {
	top: 0 !important;
	transform: translateY(4px) scale(.75) !important;
}

.name-your-price-details {
	height: 22px;
	line-height: 22px;
	font-size: 1px;
}
.name-your-price-details svg {
	display: inline-block;
	width: 22px;
	height: 22px;
}
.name-your-price-details:hover svg {
	fill: var( --e-global-color-accent );
}

@media (min-width: 992px) {
}